import { Express } from 'express';
import http from 'http';
import { Server as SocketIOServer } from 'socket.io';
import { StateAdapter } from './state/state-adapter';
import { EventManager, LockedData, Step } from './types';
type ServerOptions = {
    steps: Step[];
    flows: LockedData['flows'];
    eventManager: EventManager;
    state: StateAdapter;
};
type ServerOutput = {
    app: Express;
    server: http.Server;
    socketServer: SocketIOServer;
};
export declare const createServer: (options: ServerOptions) => Promise<ServerOutput>;
export {};
